{
  "id": "1cd8b0351e966a641775c36a",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type NilNode added in go1.1",
  "content": "# type parse.type NilNode ¶\n\n      added in\n      go1.1\n\n```\ntype NilNode struct {\n\tNodeType\n\tPos\n\t// contains filtered or unexported fields\n}\n```\n\nNilNode holds the special identifier 'nil' representing an untyped nil constant.",
  "url": "https://pkg.go.dev/parse#type NilNode ¶\n  \n    \n      added in\n      go1.1",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type NilNode ¶\n  \n    \n      added in\n      go1.1",
    "type_kind": "alias",
    "underlying": "type NilNode struct {\n\tNodeType\n\tPos\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "943b175bc08e043e6e7821074f9dfe2395d0b52478dabee7db0ae9e6828ad025",
  "timestamp": "2026-02-23T11:22:10.617601383+01:00"
}